#import "ioslayertestLayer.h"

@implementation ioslayertestLayer
+(CCScene *) scene
{
	CCScene *scene = [CCScene node];
	ioslayertestLayer *layer = [ioslayertestLayer node];
    //[layer setTag:<setatag>];
	[scene addChild: layer];
	return scene;
}


-(id) init
{
	if( (self=[super init]) ) {
       //CGSize size = [[CCDirector sharedDirector] winSize];
       //add objects to self
      bg = [CCSprite spriteWithFile:@"blushbrushed.png"];
      bg.tag = 1;
      bg.zOrder = 1;
      bg.position = ccp( 240.0f , 160.0f );
      bg.rotation = 270.0f;
      bg.scale = 1.00f;
      [self addChild:bg];

      title = [CCSprite spriteWithFile:@"blinky_title_new_2.png"];
      title.tag = 1;
      title.zOrder = 1;
      title.position = ccp( 240.0f , 226.0f );
      title.rotation = 0.0f;
      title.scale = 0.950f;
      [self addChild:title];

      playbutton = [CCMenuItemImage itemWithNormalImage:@"playbutton.png" selectedImage:@"playbutton.png" target:self selector:@selector(playbuttonClicked:)];
      playbutton.position = ccp(368.0f,39.0f);
      playbutton.scale = 1.00f;
      playbutton.rotation = 0.0f;
      configmenu = [CCMenuItemImage itemWithNormalImage:@"gear.png" selectedImage:@"gear.png" target:self selector:@selector(configmenuClicked:)];
      configmenu.position = ccp(62.0f,44.0f);
      configmenu.scale = 1.00f;
      configmenu.rotation = 0.0f;
      gm_left = [CCMenuItemImage itemWithNormalImage:@"gm_left.png" selectedImage:@"gm_left.png" target:self selector:@selector(gm_leftClicked:)];
      gm_left.position = ccp(53.0f,148.0f);
      gm_left.scale = 0.650f;
      gm_left.rotation = 0.0f;
      gm_right = [CCMenuItemImage itemWithNormalImage:@"gm_right.png" selectedImage:@"gm_right.png" target:self selector:@selector(gm_rightClicked:)];
      gm_right.position = ccp(426.0f,148.0f);
      gm_right.scale = 0.650f;
      gm_right.rotation = 0.0f;
      gm_game = [CCSprite spriteWithFile:@"gm_classic.png"];
      gm_game.tag = 10;
      gm_game.zOrder = 1;
      gm_game.position = ccp( 240.0f , 148.0f );
      gm_game.rotation = 0.0f;
      gm_game.scale = 1.00f;
      [self addChild:gm_game];

      gm_info = [CCSprite spriteWithFile:@"gm_classic_info.png"];
      gm_info.tag = 11;
      gm_info.zOrder = 1;
      gm_info.position = ccp( 240.0f , 117.0f );
      gm_info.rotation = 0.0f;
      gm_info.scale = 1.00f;
      [self addChild:gm_info];

      menuNode = [CCMenu menuWithItems:playbutton,configmenu,gm_left,gm_right, nil];
      menuNode.position = CGPointZero;

     [self addChild:menuNode z:1000];
     [self schedule: @selector(update:) interval: 1.0f/60.0f];

	}
	return self;
}


- (void) update:(ccTime)sender{

}
- (void) playbuttonClicked:(id)sender{

}

- (void) configmenuClicked:(id)sender{

}

- (void) gm_leftClicked:(id)sender{

}

- (void) gm_rightClicked:(id)sender{

}

- (void) dealloc{
	[super dealloc];
}
@end