/*
 * 
 * Copyright (c) 2012 Fawzma.com
 * Copyright (c) 2012 David Fawcett
 * 
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 */
#import "MyWindowController.h"

@implementation MyWindowController

- (id)initWithNib:(NSString*)nib {
    if ((self = [super initWithWindowNibName:nib])) {
                [self window];
        //int acceptedModal = (int)[NSApp runModalForWindow:[self window]];
        

    }
    return self;
}

-(void)mouseDown:(NSEvent *)theEvent{
    //NSLog(@"SOMETHING WORKED");
}

- (IBAction)acceptSheet:(id)sender
{
if ([[self window] makeFirstResponder:[self window]])
{
    if ([self sheetIsValid])
    {
        [NSApp stopModalWithCode:1];
        
    }
}
}

- (IBAction)cancelSheet:(id)sender
{
[NSApp stopModalWithCode:0];
}

- (int) runModalSheetForWindow:(NSWindow*)window
{
[NSApp beginSheet:[self window] modalForWindow:window modalDelegate:NULL didEndSelector:NULL contextInfo:NULL];
int acceptedModal = (int)[NSApp runModalForWindow:[self window]];
[NSApp endSheet:[self window]];
[[self window] close];
return acceptedModal;
}

- (BOOL) sheetIsValid
{
return YES;
}

- (IBAction)beep:(id)sender
{
    NSLog(@"HELLO");
    NSBeep();
}

@end
