/*
 * 
 * Copyright (c) 2012 Fawzma.com
 * Copyright (c) 2012 David Fawcett
 * 
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 */

#import <Foundation/Foundation.h>
#include "cocos2d.h"

@interface spriteObject : NSObject{
    NSString *spriteName;
    CCSprite *sprite;
    NSNumber *posX;
    NSNumber *posY;
    NSNumber *rotation;
    NSNumber *opacity;
    NSString *fileName;
    NSString *filePath;
    NSNumber *zOrder;
    NSNumber *tag;
    NSNumber *scaleXY;
    NSNumber *isButtonCheckbox;
    NSString *objType;
    NSString *selector;
    
    
}

@property (nonatomic,retain) NSString *spriteName;
@property (nonatomic,retain) CCSprite *sprite;
@property (nonatomic,retain) NSNumber *posX;
@property (nonatomic,retain) NSNumber *posY;
@property (nonatomic,retain) NSNumber *rotation;
@property (nonatomic,retain) NSString *fileName;
@property (nonatomic,retain) NSString *filePath;
@property (nonatomic,retain) NSNumber *zOrder;
@property (nonatomic,retain) NSNumber *tag;
@property (nonatomic,retain) NSNumber *scaleXY;
@property (nonatomic,retain) NSNumber *isButtonCheckbox;
@property (nonatomic,retain) NSString *objType;
@property (nonatomic,retain) NSNumber *opacity;
@property (nonatomic,retain) NSString *selector;

@end
